package main;

// Importes

import (
    palavra "sub" 
    "git.gojus.com.br/eugeniucarvalho/samples"
)

/*



import palavra "sub"

import "lib"


// Declaracao de constantes
const NUM_THREADS = 3

const (
    DIVISOR = 2
    MULTIPLICADOR = 2
)

// Declaracao de tipo

type time int

interface Math {
    Somar(int) bool
}

type A {
    bool valid
    int id
}

// Extend de tipo
type G {
    palavra.Tarefa
    int[DIVISOR]  matriz
    int*          valores
}

// Definicao de metodo

func (palavra.G* x) Somar(int i) int, bool {
    a, y := 10, 4
    return i + x.id
}

*/


func main() int {
/*
    //y := G {A: A{ id : 10},}
    var G y

    var (
        bool x = y.Somar(10) == 10,
        int a = 0,
    )

    if y.Tarefa.Ativada() {
        a += 1
    }

    for i = 1; i < 10; i++ {
        a += 1
    }
    
    for i < 10 {
        i -= 1
    }
    
    a , s := lista()

*/

    
    k := samples.DoPacote()

    y.valores = &a

    if y.Tarefa.Ativada() {
        a += 1
    }

    for y.Tarefa.Ativa , x = range lista() {
        i -=  v + 1
    }
/*
    switch {
        case 1+1 == 2:
            a = 1
        default:
            a = 10
    }
    
    switch 1 {
        case 1:
            a = 1
        default:
            a = 10
    }

    if x == 1 {
        a = 20
    } else if  {
        a = 10
    } else {
        a = 1
    }
    return 1
*/
}